Subject: [bug#55242] [PATCH 01/10] guix: import: Print the number of packages at the end.

From: Maxime Devos <[email-masked]>
Date: Sat, 14 May 2022 09:09:02 +0200

Hi,

I forgot that "guix build" already does some debug logging when passed
"--verbose" or "--debug".  Maybe "guix import ..." can gain a similar 
system.  I don't know if the internals are reusable though ...
(I'm not convinced that we need logging for "guix import" but I'm not
convinced of the contrary either, and there is already some kind of
debug logging system elsewhere.)

> here's how i was working on this codebase:
> 
> RUN=12
> clear && ./pre-inst-env guix import go -r --pin-versions  
> github.com/ethersphere/[email-masked] > >(tee -a
> ~/workspace/guix/importing/bee-run-${RUN}.scm) 2> >(tee -a
> ~/workspace/guix/importing/bee-run-${RUN}.log >&2) && beep
> 

FWIW, for these kind of things I do

  while ./pre-inst-env guix some-command; do echo 'Next'; done

and for your case (broken output without errors), maybe

  while true; do echo 'Next run' >> the-log-file && ./pre-inst-env guix some-command >> the-log-file; done

Greetings,
Maxime.